<div class="pt-28 md:pt-36 lg:pt-40 xl:pt-44">
  <div class="text-center">
    <h2 class="text-2xl min[425px]:text-xl md:text-3xl xl:text-4xl relative">
      Liste de tous les <span class="text-orange-500 font-medium">départements</span>
    </h2>
    <hr class="absolute mt-2 left-1/2 transform -translate-x-1/2 w-14 border-t-2 border-orange-500">
    <p class="mb-4 mt-6 md:mx-20 lg:mx-0 italic">Parcourez l'ensemble de tous les départements de France, découvrez les spécialités et les activités...</p>
    <input class="border p-2 rounded border-slate-300" type="text" placeholder="Rechercher un département ..." />
  </div>
  <div class="flex justify-center gap-10 my-10 flex-wrap relative">
    @for(department of departmentList; track department){
      <div class="relative group hover:cursor-pointer" (click)="navigateToDepartment(department.department_code)">
        <img class="h-72 w-72 object-cover object-center inset-0 bg-cover bg-center filter brightness-65 blur-[3px] transform transition-transform duration-300 group-hover:translate-y-[-5px]" src="{{department.department_img}}" alt="blog">
        <div class="absolute inset-0 flex justify-center items-center transform transition-transform duration-300 group-hover:translate-y-[-5px]">
          <span class="text-white text-center font-medium text-2xl">{{department.department_name}}</span>
        </div>
      </div>      
    }
  </div>
</div>